Python package for copr-cli and copr

Miroslav Suchy msuchy at redhat.com
Tue Oct 20 05:42:30 UTC 2015


On 10/19/2015 09:59 PM, Sergio Oliveira wrote:
> Hello,
> 
> I've the need of using copr-cli in other distros so I've decided to
> upload it to PyPI. In order to do that I had to change the setup.py file
> in both copr-cli and copr-python projects.
> 
> The problem is that the setup.py was importing the code it was supposed
> to install and breaking because the dependencies weren't installed yet.
> To fix that I've added a function that parses the content of the file
> looking for it's version instead of importing it.
> 
> Doing that the installer is able to build the dependencies tree and look
> for each dependency on the package index.
> 
> Also the Alpha classifier used was wrong so I've changed it from:
> 
>     "Development Status :: 1 - Alpha"
> 
> to
> 
>     "Development Status :: 3 - Alpha"
> 
> Last, I've updated the versions to use the tagged versions. You will
> find my commits attached.

Thank you for doing that.
However for us the relevant version is in the spec file. Is it possible
to alter the patch so it reads and parse the version from the spec file?

Mirek




More information about the copr-devel mailing list